summaryrefslogtreecommitdiff
path: root/tests/mv
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv')
-rwxr-xr-xtests/mv/part-symlink9
-rwxr-xr-xtests/mv/to-symlink4
2 files changed, 4 insertions, 9 deletions
diff --git a/tests/mv/part-symlink b/tests/mv/part-symlink
index de8ece0bb..ec523b893 100755
--- a/tests/mv/part-symlink
+++ b/tests/mv/part-symlink
@@ -45,10 +45,7 @@ pwd_tmp=`pwd`
# Exercise those four cases for each of
# cp and mv, with lots of combinations of options.
-actual=actual-$$
-expected=expected-$$
-
-exec 1> $actual
+exec 1> actual
# FIXME: This should be bigger: like more than 8k
contents=XYZ
@@ -153,7 +150,7 @@ done
test $fail = 1 &&
{ (exit 1); exit; }
-cat <<\EOF > $expected
+cat <<\EOF > expected
1 cp loc_reg rem_sl
[cp: `loc_reg' and `rem_sl' are the same file]
(loc_reg) (rem_sl -> dir/loc_reg)
@@ -259,6 +256,6 @@ cat <<\EOF > $expected
EOF
# Redirect to stderr, since stdout is already taken.
-compare $expected $actual 1>&2 || fail=1
+compare expected actual 1>&2 || fail=1
Exit $fail
diff --git a/tests/mv/to-symlink b/tests/mv/to-symlink
index ffc291cd5..600fde35f 100755
--- a/tests/mv/to-symlink
+++ b/tests/mv/to-symlink
@@ -24,10 +24,8 @@ cleanup_() { rm -rf "$other_partition_tmpdir"; }
rem_file="$other_partition_tmpdir/file"
rem_symlink="$other_partition_tmpdir/symlink"
-file=to-sym-$$
+file=to-sym
-
-rm -f $file || framework_failure
echo local > $file || framework_failure
echo remote > $rem_file || framework_failure
ln -s $rem_file $rem_symlink || framework_failure